/*
 * Copyright (c) 2003 Linuxant inc.
 * Copyright (c) 2001-2003 Conexant Systems, Inc.
 *
 * NOTE: The use and distribution of this software is governed by the terms in
 * the file LICENSE, which is included in the package. You must read this and
 * agree to these terms before using or distributing this software.
 *
 */
#ifndef __OSRESOUR_EX_H
#define __OSRESOUR_EX_H

/****************************************************************************************
*		                     Version Control Information
*
*	$Header:   P:/d942/octopus/archives/linuxos/dist/modules/osspec/osresour_ex.h_v   1.1   27 Jun 2002 17:21:18   beliloi  $
*
*****************************************************************************************/


/****************************************************************************************

File Name:			OsTime_Ex.h

File Description:	Operating Specific Timer Services prototypes.

*****************************************************************************************/


#include "framewrk.h"			// Compiler Directives for code modules

#include "typedefs.h"
#include "comtypes.h"

typedef BOOL  (*OSPMCB)(PVOID inst);

typedef struct {
	OSPMCB SuspendOKCB;
	PVOID SuspendOKInst;
	OSPMCB SuspendCB;
	PVOID SuspendInst;
	OSPMCB ResumeCB;
	PVOID ResumeInst;
} OS_PM_CONFIG, *POS_PM_CONFIG;

HANDLE OSFindPCIDevice(int vendorId, int deviceId);

BOOL OSGetPCIDeviceResources(HANDLE DevNode, UINT32* pdwPhysMemBase, UINT32* pdwMemSize, UINT8* pcIrq);

UINT32 OSMapMemory(UINT32 dwPhysMemBase, UINT32 dwMemSize);

BOOL OSUnmapMemory(UINT32 dwLinearAddr, UINT32 dwMemSize);

UINT32 OSHookInterrupt(UINT8 cIrq, UINT32 IntProc, void* RefData);

void OSUnhookInterrupt(UINT32 dwHandle, void *RefData);

HANDLE    OSInitPowerManagement(HANDLE DevNode, POS_PM_CONFIG pPmConf);
void    OSTermPowerManagement(HANDLE pmdev);

#endif /* __OSRESOUR_EX_H */

