/*
 * Copyright (c) 2003 Linuxant inc.
 * Copyright (c) 2001-2003 Conexant Systems, Inc.
 *
 * NOTE: The use and distribution of this software is governed by the terms in
 * the file LICENSE, which is included in the package. You must read this and
 * agree to these terms before using or distributing this software.
 *
 */

#ifndef __OSUNIQREDEF_H__
#define __OSUNIQREDEF_H__

#ifdef TARGET_HCF_USB_LINUX
#define _OSUNIQDEF(f) cnxtusbhcf_##f
#define _OSUNIQDEF_STR(f) "cnxtusbhcf_"#f
#else
#define _OSUNIQDEF(f) cnxthcf_##f
#define _OSUNIQDEF_STR(f) "cnxthcf_"#f
#endif

/* Add CNXTOSUNIQPRFX to all generic external function names in order to
   prevent collisions with other modules potentially using the same names */

#define NVM_Close _OSUNIQDEF(NVM_Close)
#define NVM_Open _OSUNIQDEF(NVM_Open)
#define NVM_Read _OSUNIQDEF(NVM_Read)
#define NVM_Write _OSUNIQDEF(NVM_Write)
#define OsAllocate _OSUNIQDEF(OsAllocate)
#define OsAtomicAdd _OSUNIQDEF(OsAtomicAdd)
#define OsAtomicCompareAndSwap _OSUNIQDEF(OsAtomicCompareAndSwap)
#define OsAtomicDecrement _OSUNIQDEF(OsAtomicDecrement)
#define OsAtomicIncrement _OSUNIQDEF(OsAtomicIncrement)
#define OsCallOnMyStack _OSUNIQDEF(OsCallOnMyStack)
#define mdmthrd _OSUNIQDEF(mdmthrd)
#define OsModemThreadSchedule _OSUNIQDEF(OsModemThreadSchedule)
#define OsCreatePeriodicTimer _OSUNIQDEF(OsCreatePeriodicTimer)
#define OsDebugPrintf _OSUNIQDEF(OsDebugPrintf)
#define OsDebugBreakpoint _OSUNIQDEF(OsDebugBreakpoint)
#define OsDestroyPeriodicTimer _OSUNIQDEF(OsDestroyPeriodicTimer)
#define OSFindPCIDevice _OSUNIQDEF(OSFindPCIDevice)
#define OsFree _OSUNIQDEF(OsFree)
#define OsGetCurrentThread _OSUNIQDEF(OsGetCurrentThread)
#define OSGetPCIDeviceResources _OSUNIQDEF(OSGetPCIDeviceResources)
#define OsGetSystemTime _OSUNIQDEF(OsGetSystemTime)
#define OSHookInterrupt _OSUNIQDEF(OSHookInterrupt)
#define OsImmediateTimeOut _OSUNIQDEF(OsImmediateTimeOut)
#define OsIsDigit _OSUNIQDEF(OsIsDigit)
#define OsLockCreate _OSUNIQDEF(OsLockCreate)
#define OsLockDestroy _OSUNIQDEF(OsLockDestroy)
#define OsLockLock _OSUNIQDEF(OsLockLock)
#define OsLockUnlock _OSUNIQDEF(OsLockUnlock)
#define OsLockTry _OSUNIQDEF(OsLockTry)
#define OsLockTryUnlock _OSUNIQDEF(OsLockTryUnlock)
#define OSMapMemory _OSUNIQDEF(OSMapMemory)
#define OsMemCmp _OSUNIQDEF(OsMemCmp)
#define OsMemCpy _OSUNIQDEF(OsMemCpy)
#define OsMemSet _OSUNIQDEF(OsMemSet)
#define OsSetPeriodicTimer _OSUNIQDEF(OsSetPeriodicTimer)
#define OsSleep _OSUNIQDEF(OsSleep)
#define OsSprintf _OSUNIQDEF(OsSprintf)
#define OsStrCmp _OSUNIQDEF(OsStrCmp)
#define OsStrCpy _OSUNIQDEF(OsStrCpy)
#define OsStrLen _OSUNIQDEF(OsStrLen)
#define OsStrnCpy _OSUNIQDEF(OsStrnCpy)
#define OsToupper _OSUNIQDEF(OsToupper)
#define OSUnhookInterrupt _OSUNIQDEF(OSUnhookInterrupt)
#define OSUnmapMemory _OSUNIQDEF(OSUnmapMemory)
#define OSInitPowerManagement _OSUNIQDEF(OSInitPowerManagement)
#define OSTermPowerManagement _OSUNIQDEF(OSTermPowerManagement)

#ifdef TARGET_HCF_USB_LINUX
#define OsClearEvent _OSUNIQDEF(OsClearEvent)
#define OsCreateEvent _OSUNIQDEF(OsCreateEvent)
#define OsDeleteEvent _OSUNIQDEF(OsDeleteEvent)
#define OsSetEvent _OSUNIQDEF(OsSetEvent)
#define OsWaitForEvent _OSUNIQDEF(OsWaitForEvent)
#define OsWaitForEventTime _OSUNIQDEF(OsWaitForEventTime)
#define OsUsbGetInstance _OSUNIQDEF(OsUsbGetInstance)
#define OsUsbCreateInstance _OSUNIQDEF(OsUsbCreateInstance)
#define OsUsbDestroyInstance _OSUNIQDEF(OsUsbDestroyInstance)
#define OsUsbGetControlRequest _OSUNIQDEF(OsUsbGetControlRequest)
#define OsUsbGetTxRequest _OSUNIQDEF(OsUsbGetTxRequest)
#define OsUsbIsStarted _OSUNIQDEF(OsUsbIsStarted)
#define OsUsbMakeControlRequest _OSUNIQDEF(OsUsbMakeControlRequest)
#define OsUsbMakeControlRequestSync _OSUNIQDEF(OsUsbMakeControlRequestSync)
#define OsUsbMakeDataReceiveRequest _OSUNIQDEF(OsUsbMakeDataReceiveRequest)
#define OsUsbMakeDataTransmitRequest _OSUNIQDEF(OsUsbMakeDataTransmitRequest)
#define OsUsbMakeDownloadTransmitRequest _OSUNIQDEF(OsUsbMakeDownloadTransmitRequest)
#define OsUsbMakeNotifyRequest _OSUNIQDEF(OsUsbMakeNotifyRequest)
#define OsUsbResetPipes _OSUNIQDEF(OsUsbResetPipes)
#define OsUsbResetPort _OSUNIQDEF(OsUsbResetPort)
#define OsUsbWaitControlRequest _OSUNIQDEF(OsUsbWaitControlRequest)
#define OsUsbWaitForControlRequestCompletion _OSUNIQDEF(OsUsbWaitForControlRequestCompletion)
#endif

#define ComCtrlGetInterface _OSUNIQDEF(ComCtrlGetInterface)

#endif /* __OSUNIQREDEF_H__ */
